Package org.apache.xmlbeans

## Interface SchemaGlobalElement

- All Superinterfaces:
    `SchemaAnnotated`, `SchemaComponent`, `SchemaField`, `SchemaLocalElement`
  All Known Implementing Classes:
    `SchemaGlobalElementImpl`

      public interface SchemaGlobalElement
      extends SchemaLocalElement, SchemaComponent

  Represents a global element definition.
  See Also:
    `SchemaTypeLoader.findElement(javax.xml.namespace.QName)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `SchemaGlobalElement.Ref` | Used to allow on-demand loading of elements.

  - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlbeans.SchemaComponent

      `ANNOTATION, ATTRIBUTE, ATTRIBUTE_GROUP, ELEMENT, IDENTITY_CONSTRAINT, MODEL_GROUP, NOTATION, TYPE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `finalExtension()` | True if using this element as the head of a substitution group for a substitution via type extension is prohibited.
    `boolean` | `finalRestriction()` | True if using this element as the head of a substitution group for a substitution via type restriction is prohibited.
    `SchemaGlobalElement.Ref` | `getRef()` | Retruns a SchemaGlobalElement.Ref pointing to this element itself.
    `SchemaGlobalElement` | `substitutionGroup()` | The element that is the head of this element's substitution group, or `null` if this element is not a member of a substitution group.
    `QName[]` | `substitutionGroupMembers()` | Set of QNames for elements that are the members of the substitution group for which this element is the head, not including this element.

    - ### Methods inherited from interface org.apache.xmlbeans.SchemaAnnotated

      `getAnnotation`

    - ### Methods inherited from interface org.apache.xmlbeans.SchemaComponent

      `getComponentRef, getComponentType, getName, getSourceName, getTypeSystem`

    - ### Methods inherited from interface org.apache.xmlbeans.SchemaField

      `getDefaultText, getDefaultValue, getMaxOccurs, getMinOccurs, getName, getType, getUserData, isAttribute, isDefault, isFixed, isNillable`

    - ### Methods inherited from interface org.apache.xmlbeans.SchemaLocalElement

      `blockExtension, blockRestriction, blockSubstitution, getIdentityConstraints, isAbstract`

- - ### Method Detail

    - #### substitutionGroupMembers

          QName[] substitutionGroupMembers()

      Set of QNames for elements that are the members of the substitution group for which this element is the head, not including this element.

    - #### substitutionGroup

          SchemaGlobalElement substitutionGroup()

      The element that is the head of this element's substitution group, or `null` if this element is not a member of a substitution group.

    - #### finalExtension

          boolean finalExtension()

      True if using this element as the head of a substitution group for a substitution via type extension is prohibited. If both finalExtension and finalRestriction are true, this element cannot be head of a substitution group. Sensible only for global elements.

    - #### finalRestriction

          boolean finalRestriction()

      True if using this element as the head of a substitution group for a substitution via type restriction is prohibited. If both finalExtension and finalRestriction are true, this element cannot be head of a substitution group. Sensible only for global elements.

    - #### getRef

          SchemaGlobalElement.Ref getRef()

      Retruns a SchemaGlobalElement.Ref pointing to this element itself.